Debians sikkerhedsbulletin

DSA-1560-1 kronolith2 -- utilstrækkelig fornuftighedskontrol af inddata

Rapporteret den:
28. apr 2008
Berørte pakker:
kronolith2
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 478121.
I Mitres CVE-ordbog: CVE-2008-1974.
Yderligere oplysninger:

"The-0utl4w" opdagede at Kronolith, kalenderkomponent til Horde Framework'et, ikke på korrekt vis fornuftighedskontrollerede URL-inddata, førende til en sårbarhed i forbindelse med udførelse af skripter på tværs af websteder i add event-billedet.

I den stabile distribution (etch), er dette problem rettet i version 2.1.4-1etch1.

I den ustabile distribution (sid), er dette problem rettet i version 2.1.8-1.

Vi anbefaler at du opgraderer din kronolith2-pakke.

Rettet i:

Debian GNU/Linux 4.0 (etch)

Kildekode:
http://security.debian.org/pool/updates/main/k/kronolith2/kronolith2_2.1.4-1etch1.dsc
http://security.debian.org/pool/updates/main/k/kronolith2/kronolith2_2.1.4-1etch1.diff.gz
http://security.debian.org/pool/updates/main/k/kronolith2/kronolith2_2.1.4.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/k/kronolith2/kronolith2_2.1.4-1etch1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.